# Enunciado:
# Use a função seleciona e a biblioteca math para criar uma função que dada uma
# lista de números reais, devolve uma lista dos números x tal que x em radianos
# está no primeiro quadrante.

import math


def seleciona(lista, criterio):
    nova = []
    for x in lista:
        if criterio(x):
            nova.append(x)
    return nova


def primeiro_quadrante(x):
    return math.sin(x) >= 0 and math.cos(x) >= 0


def lista_primeiro_quadrante(lista):
    # return seleciona(lista, lambda x: math.sin(x) >= 0 and math.cos(x) >= 0)
    return seleciona(lista, primeiro_quadrante)


def main():
    lista = [0.0, math.pi / 2, math.pi / 4, 3 * math.pi / 2]
    print(lista_primeiro_quadrante(lista))


if __name__ == "__main__":
    main()
