# Enunciado:
# Faça uma função mapeia que, dada uma lista l e uma função de um parâmetro f,
# devolve uma nova lista onde f foi aplicada a cada elemento de l. Por exemplo,
# se l = [1, 2, 3] e f(x) = x * x, então a nova lista é [1, 4, 9].
# Use a função que você criou para, dada uma lista, encontrar uma nova lista
# com todos os seus elementos elevado ao quadrado.

def mapeia(lista, funcao):
    nova = []
    for x in lista:
        nova.append(funcao(x))
    return nova


def eleva_ao_quadrado(lista):
    return mapeia(lista, lambda x: x * x)


def main():
    lista = [1, 2, 3]
    print(eleva_ao_quadrado(lista))


if __name__ == "__main__":
    main()
