# Enunciado:
# Faça uma função combina que permite aplicar uma função f sobre uma lista l
# para combinar os seus resultados e obter um único valor.
# Ex: Podemos somar todos os elementos de uma lista de números
# Ex: Podemos multiplicar todos os elementos de uma lista de números
# Ex: Podemos fazer and de vários valores booleanos


def combina(lista, funcao):
    acumulador = lista[0]
    for i in range(1, len(lista)):
        acumulador = funcao(acumulador, lista[i])
    return acumulador


def adiciona(acumulador, elemento):
    return acumulador + elemento


def main():
    lista = [1, 2, 3, 4, 5]
    print(combina(lista, adiciona))  # soma
    print(combina(lista, lambda ac, x: ac * x))  # produto
    print(combina(lista, max))  # maximo
    print(combina(lista, min))  # minimo


if __name__ == "_main_":
    main()
